
Redmine - Defect #20565

Search and get a 404 page when adding a new project

2015-08-19 12:44 - diguang xiao

Status: Closed Start date:  

Priority: Low Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version: 3.1.0

Description

Steps to recurrence the problem:

1. Goto page /projects/new (Add a new project)

2. Click the Search link on the top-right of the page (Or just input some key word and press Enter key)

3. Now, you got a 404 page

Reason, in this scenario, search is linked to /projects//search instead of /search.

Associated revisions

Revision 14614 - 2015-09-20 13:50 - Jean-Philippe Lang

Fixed invalid search link on the new project form (#20565).

History

#1 - 2015-08-21 03:58 - ty 1234

- File te9flpoi2.jpg added

#2 - 2015-08-21 14:51 - Toshi MARUYAMA

- File deleted (te9flpoi2.jpg)

#3 - 2015-08-23 16:43 - Jan Niggemann (redmine.org team member)

- Category set to Search engine

- Affected version set to 2.5.1

I'm traveling and don't have a recent version at hand, but I can reproduce this on redmine.org (2.5.1 dev) so this affects at least 2.5.1...

#4 - 2015-09-05 12:06 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Target version set to 3.2.0

- Affected version changed from 2.5.1 to 3.1.0

Confirmed on 3.1.0 and 2.6.6.

#5 - 2015-09-20 13:50 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r14614, thanks for pointing this out.
